package cn.quant.andy.config;

/**
 * @author hechao
 * @description
 * @date 2020/9/29 10:08
 * @modify 2020/9/29 10:08 by hechao
 */
public abstract class QuartzTaskProperties {
    private String namespace;

    private String cron;

    private Integer shardingTotalCount;

    private String shardingItemParameters;

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getCron() {
        return cron;
    }

    public void setCron(String cron) {
        this.cron = cron;
    }

    public Integer getShardingTotalCount() {
        return shardingTotalCount;
    }

    public void setShardingTotalCount(Integer shardingTotalCount) {
        this.shardingTotalCount = shardingTotalCount;
    }

    public String getShardingItemParameters() {
        return shardingItemParameters;
    }

    public void setShardingItemParameters(String shardingItemParameters) {
        this.shardingItemParameters = shardingItemParameters;
    }
}
